Name:       wcstools
Version:    3.9.7
Release:    3%{?dist}
Summary:    Software utilities to display and manipulate the WCS of a FITS image
License:    GPLv2+
URL:        http://tdc-www.harvard.edu/wcstools
Source0:    http://tdc-www.harvard.edu/software/wcstools/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc

Patch0:      wcstools-3.9.7_rename-libwcs-to-libwcstools.patch

Patch1:      wcstools-3.9.7_rename-binaries.patch

%description
Wcstools is a set of software utilities, written in C, which create,
display and manipulate the world coordinate system of a FITS or IRAF
image, using specific keywords in the image header which relate pixel
position within the image to position on the sky.  Auxiliary programs
search star catalogs and manipulate images.


%package libs
Summary:    Wcstools shared library 
License:    LGPLv2+

%description libs
Shared library necessary to run wcstools and programs based on libwcs.


%package devel
Summary:    Libraries, includes, etc. used to develop an application with wcstools
License:    LGPLv2+
Requires:   %{name}-libs = %{version}-%{release}
%description devel
This are the files needed to develop an application using wcstools.

%prep
%autosetup -p1

grep -rl '59 Temple Place, Suite 330, Boston, MA  02111-1307  USA' --include=*.{c,h} | xargs -i@ sed -i 's/59 Temple Place, Suite 330, Boston, MA  02111-1307  USA/51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA./g' @


%build

%make_build


%install
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_includedir}/wcs
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__install} -p bin/* %{buildroot}%{_bindir}
%{__cp} -a libwcs/*.so* %{buildroot}%{_libdir}
%{__install} -p -m 644 libwcs/*.h %{buildroot}%{_includedir}/wcs
%{__install} -p -m 644 man/man1/* %{buildroot}%{_mandir}/man1



%files
%license COPYING
%doc NEWS Readme Programs
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%license libwcs/COPYING
%{_libdir}/*.so.1*

%files devel
%doc libwcs/NEWS
%{_libdir}/*.so
%{_includedir}/wcs


%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.9.7-3
- Rebuilt for loongarch64

* Tue Apr 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.7-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.7-1
- initial build
